|

List all onboardings for a user

get/users/{fp_id}/onboardings
External ID
Get the list of playbooks this user has onboarded onto, ordered by timestamp descending. If a user has onboarded onto one playbook multiple times, there will be multiple onboardings. Useful to find the status from onboarding onto a specific playbook.

Request

Path parameters

fp_id·

string

Query parameters

page·

optional integer

page_size·

optional integer

Response

data·

array of objects

external_id·

optional string

The onboarding_external_id provided when the onboarding session token was created
id·

string

A unique identitifer for the onboarding
playbook_key·

string

status·

string

The status of the onboarding

Allowed values:

pass
fail
incomplete
pending
none
error
timestamp·

string

The timestamp of onboarding creation
meta·

object

GET /users/{fp_id}/onboardings
1curl https://api.onefootprint.com/users/{fp_id}/onboardings \
2  -u sk_test_xxxxx:
Response example
{
  "data": [
    {
      "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
      "id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
      "playbook_key": "pb_live_fZvYlX3JpanlQ3MAwE45g0",
      "status": "pass",
      "timestamp": "2022-01-04T12:00-07:00"
    },
    {
      "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
      "id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
      "playbook_key": "pb_live_fZvYlX3JpanlQ3MAwE45g0",
      "status": "pass",
      "timestamp": "2022-01-04T12:00-07:00"
    }
  ],
  "meta": {
    "next_page": 2
  }
}